{
    attributes = (
        {
            allowsNull = Y; 
            columnName = C_CORPS; 
            externalType = VARCHAR2; 
            name = cCorps; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = CODE_PROFESSION; 
            externalType = VARCHAR2; 
            name = codeProfession; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = NBR_HEURES; 
            externalType = NUMBER; 
            name = nbrHeures; 
            precision = 10; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = NO_SEQ_CONTRAT; 
            externalType = NUMBER; 
            name = noSeqContrat; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = OBSERVATIONS; 
            externalType = VARCHAR2; 
            name = observations; 
            valueClassName = NSString; 
            width = 240; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_ENSEIGNANT; 
            externalType = VARCHAR2; 
            name = temEnseignant; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (noSeqContrat); 
    className = EOGenericRecord; 
    classProperties = (
        codeProfession, 
        cCorps, 
        observations, 
        temEnseignant, 
        dCreation, 
        dModification, 
        noSeqContrat, 
        toGrhumCorps, 
        nbrHeures
    ); 
    externalName = MANGUE.CONTRAT_VACATAIRES; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            noDossierPers, 
            noContratTravail, 
            noAvenant, 
            codeProfession, 
            cCorps, 
            employeur, 
            adresseEmp, 
            cpEmp, 
            villeEmp, 
            observations, 
            toProfession, 
            toCorps, 
            temEnseignant
        ); 
    }; 
    name = MangueVacataires; 
    primaryKeyAttributes = (noSeqContrat); 
    relationships = (
        {
            destination = GrhumCorps; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cCorps; sourceAttribute = cCorps; }); 
            name = toGrhumCorps; 
        }
    ); 
}
